Subject: bug#40638: 28.0.50; packages not loaded correctly with use-package on native-comp branch

From: Sebastian Sturm <[email-masked]>
Date: Wed, 15 Apr 2020 16:11:40 +0200

I'm not sure if this is related but I'm using doom-emacs and with 
yesterday's build (I believe it was commit b7678cf10..., removed the 
working directory in the meantime) I'm getting loads of errors saying 
'Autoloading file <...>/autorevert.eln failed to define function 
doom-auto-revert-buffers-h. Probably there are other similar error 
messages but I wasn't even able to turn on debug-on-error because every 
attempt to use the UI or call a function led to further error messages 
of the same sort. Today's commit (208a11d3f..) shows the exact same 
issue whereas commit f9a1d4b3f from 2 days ago is fine.

I kept the flaky build so if there's anything I should try out I'll 
gladly do so after work